Summary: Editor/admin tool for mate-conf
Name: mate-conf-editor
Version:  1.4.0
Release:  2%{?dist}
License:  GPLv2+
Group: Applications/System
URL:      http://mate-desktop.org
Source0:  http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

# mateconftool-2
Requires(pre):   mate-conf
Requires(post):  mate-conf
Requires(preun): mate-conf

BuildRequires: mate-conf-devel
BuildRequires: gtk2-devel
BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: rarian-compat
BuildRequires: gettext
BuildRequires: mate-doc-utils
BuildRequires: mate-common

%description
mate-conf-editor allows you to browse and modify MateConf configuration
sources.

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure \
        --disable-scrollkeeper \
        --disable-schemas-install
make %{?_smp_mflags}

%install
export MATECONF_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset MATECONF_MAKEFILE_SCHEMA_INSTALLL


desktop-file-install --vendor "" --delete-original       \
  --remove-category=MATE                           \
  --add-category=X-Mate                            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name} --with-gnome

%post
%mateconf_schema_upgrade mateconf-editor
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%pre
%mateconf_schema_prepare mateconf-editor

%preun
%mateconf_schema_remove mateconf-editor

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS NEWS README COPYING
%{_bindir}/mateconf-editor
%{_datadir}/icons/hicolor/*/apps/mateconf-editor.png
%{_datadir}/mateconf-editor/
%{_datadir}/mate/help/mateconf-editor/
%{_datadir}/applications/mateconf-editor.desktop
%{_mandir}/man1/mateconf-editor.1.*
%{_sysconfdir}/mateconf/schemas/mateconf-editor.schemas
%{_datadir}/omf/mateconf-editor/

%changelog
* Mon Oct 15 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-2
- Fix build requires

* Sun Oct 14 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-1
- Initial build


